package com.ekexiu.portal.po;

import java.math.BigDecimal;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.IntHandler;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.portal.basepo.CreateTimeSupported;

@Table
@PrimaryKey("payHistoryId")
public class PayHistory implements CreateTimeSupported {
	private String payHistoryId;
	private String operationId;
	private BigDecimal paidMoney;
	private BigDecimal returnMoney;
	private String createTime;
	private String remark;
	private int isonline;
	private int payType;
	private int payStatus;
	private String professorId;
	private Operation operation;
	private Professor professor;
	
	public Operation getOperation() {
		return operation;
	}
	public void setOperation(Operation operation) {
		this.operation = operation;
	}
	
	public Professor getProfessor() {
		return professor;
	}
	public void setProfessor(Professor professor) {
		this.professor = professor;
	}
	
	@Column(DE.id_32)
	public String getPayHistoryId() {
		return payHistoryId;
	}
	public void setPayHistoryId(String payHistoryId) {
		this.payHistoryId = payHistoryId;
	}
	
	@Column(DE.id_32)
	public String getOperationId() {
		return operationId;
	}
	public void setOperationId(String operationId) {
		this.operationId = operationId;
	}
	
	@Column(DE.BigDecmimal_de)
	public BigDecimal getPaidMoney() {
		return paidMoney;
	}
	public void setPaidMoney(BigDecimal paidMoney) {
		this.paidMoney = paidMoney;
	}
	
	@Column(DE.BigDecmimal_de)
	public BigDecimal getReturnMoney() {
		return returnMoney;
	}
	public void setReturnMoney(BigDecimal returnMoney) {
		this.returnMoney = returnMoney;
	}
	
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	
	@Column(handlerClass=StringHandler.class,dbType="TEXT",nullable=true,insertable=true,renewable=false,queryable=true)
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	
	@Column(handlerClass=IntHandler.class,dbType="INT",nullable=true,insertable=true,renewable=false,queryable=true)
	public int getIsonline() {
		return isonline;
	}
	public void setIsonline(int isonline) {
		this.isonline = isonline;
	}
	
	@Column(handlerClass=IntHandler.class,dbType="INT",nullable=true,insertable=true,renewable=false,queryable=true)
	public int getPayType() {
		return payType;
	}
	public void setPayType(int payType) {
		this.payType = payType;
	}
	
	@Column(handlerClass=IntHandler.class,dbType="INT",nullable=true,insertable=true,renewable=true,queryable=true)
	public int getPayStatus() {
		return payStatus;
	}
	public void setPayStatus(int payStatus) {
		this.payStatus = payStatus;
	}
	
	@Column(DE.id_32)
	public String getProfessorId() {
		return professorId;
	}
	public void setProfessorId(String professorId) {
		this.professorId = professorId;
	}
	
}
